summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2006-08-21 21:38:58 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2006-08-21 21:38:58 +0000
commit346399eed62f519e8df24b61697271d823c8e449 (patch)
tree3b785f911458887a6ee9d41d34380c075ed9f60b /sys-apps/gli/files
parentBump to 252, with autofs-4.1.3 support changes from upstream. Candidate for s... (diff)
downloadgentoo-2-346399eed62f519e8df24b61697271d823c8e449.tar.gz
gentoo-2-346399eed62f519e8df24b61697271d823c8e449.tar.bz2
gentoo-2-346399eed62f519e8df24b61697271d823c8e449.zip
Adding updated installer versions from 2006.1 snapshot.
(Portage version: 2.1.1_pre5-r1)
Diffstat (limited to 'sys-apps/gli/files')
-rw-r--r--sys-apps/gli/files/digest-gli-0.3.22
-rw-r--r--sys-apps/gli/files/digest-gli-0.43
-rw-r--r--sys-apps/gli/files/digest-gli-0.4.13
-rw-r--r--sys-apps/gli/files/digest-gli-0.4.23
-rwxr-xr-xsys-apps/gli/files/installer129
5 files changed, 91 insertions, 49 deletions
diff --git a/sys-apps/gli/files/digest-gli-0.3.2 b/sys-apps/gli/files/digest-gli-0.3.2
index d581df6b8fe5..3f4c4b5dd6e1 100644
--- a/sys-apps/gli/files/digest-gli-0.3.2
+++ b/sys-apps/gli/files/digest-gli-0.3.2
@@ -1 +1,3 @@
MD5 d5ed79473708138cf7d453966c020ecb installer-0.3.2.tar.bz2 792702
+RMD160 16f8bf621eaa1910682bcea9d4af5ba65375e4be installer-0.3.2.tar.bz2 792702
+SHA256 a5f8e765999d230a133af848181fb4c90376c038e77cabd70a0e28a02dceff7f installer-0.3.2.tar.bz2 792702
diff --git a/sys-apps/gli/files/digest-gli-0.4 b/sys-apps/gli/files/digest-gli-0.4
new file mode 100644
index 000000000000..957f11c00864
--- /dev/null
+++ b/sys-apps/gli/files/digest-gli-0.4
@@ -0,0 +1,3 @@
+MD5 a3794d79f0edc787f3d4fc399e5daf06 installer-0.4.tar.bz2 826177
+RMD160 e89499483003bcffebedf426a4504cc92687165a installer-0.4.tar.bz2 826177
+SHA256 dbc96ee27dfdd53f7ab95a6d3b01a904358f829df5b6e18b73e8a3e684936bef installer-0.4.tar.bz2 826177
diff --git a/sys-apps/gli/files/digest-gli-0.4.1 b/sys-apps/gli/files/digest-gli-0.4.1
new file mode 100644
index 000000000000..2a7ece5be548
--- /dev/null
+++ b/sys-apps/gli/files/digest-gli-0.4.1
@@ -0,0 +1,3 @@
+MD5 e97e83886a975fa42dd3c6dcb7860b50 installer-0.4.1.tar.bz2 826093
+RMD160 0bf15d21b02361c018cb1138fab0104b109434db installer-0.4.1.tar.bz2 826093
+SHA256 23376c6d2f924024596e00a5f58f682e30a69e961e2651b992fab49ae240af69 installer-0.4.1.tar.bz2 826093
diff --git a/sys-apps/gli/files/digest-gli-0.4.2 b/sys-apps/gli/files/digest-gli-0.4.2
new file mode 100644
index 000000000000..89bebfa0c0a1
--- /dev/null
+++ b/sys-apps/gli/files/digest-gli-0.4.2
@@ -0,0 +1,3 @@
+MD5 ba0132c21f27ae3de048645937bf5855 installer-0.4.2.tar.bz2 826554
+RMD160 9ebe95b52a58d2c2d3d50bba2c0fde06539c20b1 installer-0.4.2.tar.bz2 826554
+SHA256 13f3fc84f0d6ac1a4ff76e1f80addea3cea00a5557a4de07225745b671799763 installer-0.4.2.tar.bz2 826554
diff --git a/sys-apps/gli/files/installer b/sys-apps/gli/files/installer
index cc2ac1fce53c..be4f438fade8 100755
--- a/sys-apps/gli/files/installer
+++ b/sys-apps/gli/files/installer
@@ -1,6 +1,6 @@
#!/bin/bash
#
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/gli/files/installer,v 1.1 2005/12/19 22:13:07 wolf31o2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/gli/files/installer,v 1.2 2006/08/21 21:38:58 wolf31o2 Exp $
#
# This is the installer script that we will use to determine whether or not
# we are running in X or as root. A good portion of this script was ripped
@@ -10,83 +10,102 @@
installer_root=/opt/installer
# Allow X
-xhost + 2>/dev/null
+xhost +localhost 2>/dev/null
-# patching utf-8 locales
-if test ! ${UTF8FIX} ; then
-LANG=`echo ${LANG} | sed 's/[\@\.].*$//'`
-fi
-
-# Go to the proper setup directory (if not already there)
-#cd `dirname $0`
-cd $installer_root/bin
+# Go to the proper setup directory
+cd ${installer_root}/bin
-# call installer with -auth when ran through su/xsu/sudo
+# we call installer with -auth when ran through su/xsu/sudo
auth=0
-if [ "$1" = "-auth" ]; then
+if [ "${1}" == "-auth" ]
+then
auth=1
shift
fi
+# TODO: make this actually work
+# we see if we were called with a specific front-end
+#launch=
+#if [ "${1}" == "gtk" ]
+#then
+# launch=gtk
+# shift
+#elif [ "${1}" == "dialog" ]
+#then
+# launch=dialog
+# shift
+#fi
+
# Find the installation program
# try_run INSTALLER_NAME [PARAMETERS_PASSED]
# INSTALLER_NAME: installer-gtk or installer-dialog
# PARAMETERS_PASSED: additional arguments passed to the setup script
try_run() {
- setup=$1
+ setup=${1}
shift
failed=0
- "$setup" "$@" 2>/dev/null
- failed="$?"
- return "$failed"
+ "${setup}" "${@}" 2>/dev/null
+ failed="${?}"
+ return "${failed}"
}
-if [ "$auth" -eq 0 ]; then
- GOT_ROOT=`id -u`
- if [ "$GOT_ROOT" != "0" ]; then
+if [ "${auth}" -eq 0 ]
+then
+ GOT_ROOT=$(id -u)
+ if [ "${GOT_ROOT}" != "0" ]
+ then
# first we try sudo
- try_run /usr/bin/sudo env DISPLAY=":0.0" su -c "$installer_root/bin/installer -auth"
- status="$?"
- if [ "$status" -eq 0 ]; then
+ try_run /usr/bin/sudo env DISPLAY=":0.0" su -c "${installer_root}/bin/installer -auth ${launch}"
+ status="${?}"
+ if [ "${status}" -eq 0 ]
+ then
exit 0
- elif [ "$status" -eq 1 ]; then
- try_run /usr/bin/gnomesu -u root -c "sh $installer_root/bin/installer -auth"
+ elif [ "${status}" -eq 1 ]
+ then
+ try_run /usr/bin/gnomesu -u root -c "sh ${installer_root}/bin/installer -auth ${launch}"
status="$?"
- # If try_run successfully executed gnomesu, it will return gnomesu's
- # exit code.
- if [ "$status" -eq 0 ]; then
+ # If try_run successfully executed gnomesu, it will return
+ # gnomesu's exit code.
+ if [ "${status}" -eq 0 ]
+ then
exit 0
- elif [ "$status" -eq 1 ]; then
- try_run /usr/bin/xsu -e -a -u root -c "sh $installer_root/bin/installer -auth"
- status="$?"
+ elif [ "${status}" -eq 1 ]
+ then
+ try_run /usr/bin/xsu -e -a -u root -c "sh ${installer_root}/bin/installer -auth ${launch}"
+ status="${?}"
# xsu returns 2 if ran and cancelled (i.e. the user 'doesn't
# want' to auth). it will return 0 if the command was executed
# correctly
# summing up, if we get 1, something failed
- if [ "$status" -eq 0 ]; then
+ if [ "${status}" -eq 0 ]
+ then
exit 0
- elif [ "$status" -eq 1 ]; then
+ elif [ "${status}" -eq 1 ]
+ then
# xsu wasn't found, or failed to run
# if xsu actually ran and the auth was cancelled,
# $status is 2
echo "You need to run this installation as the super user."
echo "Please enter the root password."
- try_run /bin/su root -c "export DISPLAY=$DISPLAY;sh $installer_root/bin/installer -auth"
- status="$?"
- if [ "$status" -eq 0 ]; then
+ try_run /bin/su root -c "export DISPLAY=${DISPLAY};sh ${installer_root}/bin/installer -auth ${launch}"
+ status="${?}"
+ if [ "${status}" -eq 0 ]
+ then
# the auth command was properly executed
exit 0
else
exit 1
fi
- elif [ "$status" -eq 3 ]; then
+ elif [ "${status}" -eq 3 ]
+ then
# the auth failed or was canceled
# we don't want to even start the setup if not root
echo "Please run this installation as the super user"
exit 1
fi
- elif [ "$status" -eq 3 ]; then
+ elif [ "${status}" -eq 3 ]
+ then
echo "Please run this installation as the super user"
exit 1
fi
@@ -94,15 +113,27 @@ if [ "$auth" -eq 0 ]; then
fi
fi
-# Try to run the installer
-try_run /usr/bin/installer-gtk $args $*
-status=$?
-if [ $status -eq 1 ]; then
- try_run /usr/bin/installer-dialog $args $* || {
- if [ $status -ne 2 ]; then
- echo "The setup program seems to have failed"
- fi
- status=1
- }
-fi
-exit $status
+#if [ -z "${launch}" ]
+#then
+ # Try to run the gtk installer
+ try_run /usr/bin/installer-gtk ${*}
+ status=${?}
+ if [ ${status} -eq 1 ]
+ then
+ try_run /usr/bin/installer-dialog ${*} || {
+ if [ ${status} -ne 2 ]
+ then
+ echo "The setup program seems to have failed"
+ fi
+ status=1
+ }
+ fi
+#else
+ # Try to run the installer script asked for when launched
+# try_run /usr/bin/installer-${launch} ${*} || {
+# echo "The setup program seems to have failed"
+# status=1
+# }
+#fi
+
+exit ${status}